<section class="cart py-16">
	<% if(session.cart) { %>

	<div class="order container mx-auto">
		<div class="flex items-center border-b border-gray-300 pb-4">
			<img src="/img/cart-black.png" alt="cart" />
			<h1 class="font-bold ml-4 text-2xl">Order summary</h1>
		</div>

		<div class="pizza-list">
			<% for(let e of Object.values(session.cart.items)) { %>
			<div class="flex items-center my-8">
				<img class="w-24" src="/img/<%= e.item.image %>" alt="pizza" />
				<div class="flex-1 ml-4">
					<h1><%= e.item.name %></h1>
					<span><%= e.item.size %></span>
				</div>
				<span class="flex-1">
					<button
						class="font-bold mr-3 change minus"
						data-pid="<%= e.item._id%>"
					>
						&minus;
					</button>
					<span class="qtyValue"><%= e.qty %></span>
					<button
						class="font-bold ml-3 change plus"
						data-pid="<%= e.item._id%>"
					>
						+
					</button>
				</span>
				<span class="font-bold text-lg"
					>&#8377; <span class="itemPrice"><%= e.item.price * e.qty %></span>
				</span>
			</div>
			<% } %>
		</div>
		<hr />

		<div class="text-right py-4">
			<div>
				<button
					class="
						btn-primary
						px-6
						py-2
						rounded-full
						text-white text-sm
						font-bold
						clear-btn
					"
				>
					Clear cart
				</button>
				<span class="text-lg font-bold">Total Amount: </span>
				<span class="amount text-2xl font-bold ml-2"
					>&#8377; <%= session.cart.totalPrice%></span
				>
			</div>

			<% if(user) { %>

			<div>
				<form action="/orders" method="POST" class="mt-12" id="payment-form">
					<div class="relative w-1/2 ml-auto mb-4">
						<select
							id="payment-type"
							name="paymentType"
							class="
								block
								appearance-none
								w-full
								bg-white
								border border-gray-400
								hover:border-gray-500
								px-4
								py-2
								pr-8
								rounded
								leading-tight
								focus:outline-none
								focus:shadow-outline
							"
						>
							<option value="COD">Cash on delivery</option>
							<option value="card">Pay with card</option>
						</select>
						<div
							class="
								pointer-events-none
								absolute
								inset-y-0
								right-0
								flex
								items-center
								px-2
								text-gray-700
							"
						>
							<svg
								class="fill-current h-4 w-4"
								xmlns="http://www.w3.org/2000/svg"
								viewBox="0 0 20 20"
							>
								<path
									d="M9.293 12.95l.707.707L15.657 8l-1.414-1.414L10 10.828 5.757 6.586 4.343 8z"
								/>
							</svg>
						</div>
					</div>

					<input
						name="phone"
						class="border border-gray-400 p-2 w-1/2 mb-4"
						type="text"
						placeholder="Phone number"
					/>
					<input
						name="address"
						class="border border-gray-400 p-2 w-1/2"
						type="text"
						placeholder="Address"
					/>
					<div class="mt-4">
						<div id="card-element"></div>
						<button
							type="submit"
							class="
								btn-primary
								px-6
								py-2
								rounded-full
								text-white
								font-bold
								mt-6
							"
						>
							Order Now
						</button>
					</div>
				</form>
			</div>

			<% } else { %>
			<a
				href="/login"
				class="
					inline-block
					cursor-pointer
					px-6
					py-2
					rounded-full
					text-white
					font-bold
					mt-6
					btn-primary
				"
				>Login to continue</a
			>
			<% } %>
		</div>
	</div>
	<% } else { %>
	<div class="empty-cart py-16">
		<div class="container mx-auto text-center">
			<h1 class="text-3xl font-bold mb-2">Cart Empty 🤨</h1>
			<p class="text-gray-500 text-lg mb-12">
				You probably haven't ordered a pizza yet. <br />
				To order a pizza, go to the main page.
			</p>
			<img src="/img/empty-cart.png" alt="empty-cart" class="w-2/5 mx-auto" />
			<a
				href="/"
				class="
					inline-block
					px-6
					py-2
					rounded-full
					btn-primary
					text-white
					font-bold
					mt-12
				"
				>Go back
			</a>
		</div>
	</div>
	<% } %>
</section>
